#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const messenger_1 = __importDefault(require("../lib/view/messenger"));
const json_view_1 = __importDefault(require("../lib/view/json-view"));
const smapi_commander_1 = require("../lib/commands/smapi/smapi-commander");
const commander = (0, smapi_commander_1.makeSmapiCommander)();
if (!process.argv.slice(2).length) {
    commander.outputHelp();
}
else {
    commander
        .parseAsync(process.argv)
        .then((result) => messenger_1.default.getInstance().info(result))
        .catch((err) => {
        messenger_1.default.getInstance().error(json_view_1.default.toString(err));
        process.exit(1);
    });
}
