"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.AbstractRunFlow = void 0;
const nodemon_1 = __importDefault(require("nodemon"));
const messenger_1 = __importDefault(require("../../../view/messenger"));
class AbstractRunFlow {
    constructor(execConfig) {
        this.execConfig = execConfig;
    }
    execCommand() {
        return new Promise(() => {
            (0, nodemon_1.default)({ verbose: true, ...this.execConfig })
                .on('error', (error) => {
                reject(`Debugging session returned error code: ${(error) ? error.code : "undefined"}`);
            });
        });
    }
    getExecConfig() {
        return this.execConfig;
    }
}
exports.AbstractRunFlow = AbstractRunFlow;
