import { ParseError } from "./error";
export interface SourceFile<T> {
    kind: "File";
    /**
     * Base directory that contains this file.
     */
    baseDir: string;
    /**
     * URI of the parsed file.
     */
    uri: string;
    /**
     * Content of the File.
     */
    content: T;
    /**
     * Optional array of syntax errors encountered while parsing this file.
     */
    errors?: ParseError[];
}
/**
 * Create a SourceFile object for a URI and content.
 *
 * @param baseDir base directory containing this source file.
 * @param uri URI of the SourceFile
 * @param content content contained in the file
 */
export declare function sourceFile<T>(baseDir: string, uri: string, content: T, errors?: ParseError[]): SourceFile<T>;
//# sourceMappingURL=source-file.d.ts.map