import immutable from "immutable";
import { LexicalScope } from "./lexical-scope";
import { Project } from "./project";
/**
 * Name and namespace bindings.
 */
export interface Global {
    /**
     * Names in the project.
     */
    scope: LexicalScope;
    /**
     * Namespaces in the project.
     */
    namespaces: Namespaces;
}
/**
 * Record of all namespaces and their contained expressions.
 */
export type Namespaces = immutable.Map<string, LexicalScope>;
export declare function defaultNamespaces(): immutable.Map<string, LexicalScope>;
export declare const mergeNamespaces: (a: Namespaces, b: Namespaces) => Namespaces;
/**
 * Compute the Global scope and Namespace Index from a Project.
 */
export declare function computeGlobal(project: Project): Global;
//# sourceMappingURL=global.d.ts.map