import * as ask from "./ast";
import { Type } from "./type";
/**
 * Represents a Property on a Type.
 */
export interface Property {
    kind: "Property";
    /**
     * Property declaration.
     */
    declaration?: ask.ArgumentDeclaration | ask.EnumItem | ask.TypeProperty;
    /**
     * Type of the Property.
     */
    type?: Type;
    /**
     * Name of this property.
     */
    name: string;
    /**
     * Position of this property in the type.
     */
    index: number;
}
//# sourceMappingURL=property.d.ts.map