# README

## Top-level Schemas

*   [ActionDeclaration](./actiondeclaration.md "Represents the declaration of an action") – `https://amazonalexa.com/ask/2020/12/ActionDeclaration`

*   [Arguments](./arguments.md "Arguments to a Call can be JSON primitives or an object/array of Calls, NameReferences or PropertyReferences") – `https://amazonalexa.com/ask/2020/12/Arguments`

*   [ArgumentsDeclaration](./argumentsdeclaration.md "Represents the declaration of a set of arguments") – `https://amazonalexa.com/ask/2020/12/ArgumentsDeclaration`

*   [Call](./call.md "Represents a call to an action or a dialog") – `https://amazonalexa.com/ask/2020/12/Call`

*   [Condition](./condition.md "Represents a condition") – `https://amazonalexa.com/ask/2020/12/Condition`

*   [Correction](./correction.md "Represents a Correction") – `https://amazonalexa.com/ask/2020/12/Correction`

*   [CorrectionBlock](./correctionblock.md "A block of expressions for the Correction expression") – `https://amazonalexa.com/ask/2020/12/CorrectionBlock`

*   [Dialog](./dialogdeclaration.md "Represents a dialog") – `https://amazonalexa.com/ask/2020/12/DialogDeclaration`

*   [EnumDeclaration](./enumdeclaration.md "Represents an enum type declaration") – `https://amazonalexa.com/ask/2020/12/EnumDeclaration`

*   [EnumItem](./enumitemdeclaration.md "Represents an item in an enum type declaration") – `https://amazonalexa.com/ask/2020/12/EnumItemDeclaration`

*   [GenericArguments](./genericarguments.md "Represents a set of generic arguments (e") – `https://amazonalexa.com/ask/2020/12/GenericArguments`

*   [GenericArgumentsDeclaration](./genericargumentsdeclaration.md "A set of generic arguments for a declaration") – `https://amazonalexa.com/ask/2020/12/GenericArgumentsDeclaration`

*   [InteractionDeclaration](./interactiondeclaration.md "Represents an interaction expression that allows developers to provide feedback to the model on a particular instance of a conversation") – `https://amazonalexa.com/ask/2020/12/InteractionDeclaration`

*   [Module](./module.md "The schema for the Alexa Skills Kit (ASK) module document") – `https://amazonalexa.com/ask/2020/12/Module`

*   [Name](./name.md "A name") – `https://amazonalexa.com/ask/2020/12/Name`

*   [QualifiedName](./qualifiedname.md "A qualified name") – `https://amazonalexa.com/ask/2020/12/QualifiedName`

*   [Sample](./sample.md "Represents a sample") – `https://amazonalexa.com/ask/2020/12/Sample`

*   [SampleBlock](./sampleblock.md "A block of expressions") – `https://amazonalexa.com/ask/2020/12/SampleBlock`

*   [TypeDeclaration](./typedeclaration.md "Represents a type declaration") – `https://amazonalexa.com/ask/2020/12/TypeDeclaration`

*   [TypeReference](./typereference.md "The representation of a reference to a type declaration") – `https://amazonalexa.com/ask/2020/12/TypeReference`

*   [name](./interactionnamedeclaration.md "Introduces a name for an expression") – `https://amazonalexa.com/ask/2020/12/InteractionNameDeclaration`

*   [name](./namedeclaration.md "Introduces a name for an expression") – `https://amazonalexa.com/ask/2020/12/NameDeclaration`

*   [name](./namereference.md "Introduces a name for an expression") – `https://amazonalexa.com/ask/2020/12/NameReference`

*   [name](./qualifiednamedeclaration.md "Introduces a namespaced-qualified name for an expression") – `https://amazonalexa.com/ask/2020/12/QualifiedNameDeclaration`

*   [property reference](./propertyreference.md "Reference a property on an Expression") – `https://amazonalexa.com/ask/2020/12/PropertyReference`

## Other Schemas

### Objects

*   [Untitled object in Arguments](./arguments-oneof-5.md) – `https://amazonalexa.com/ask/2020/12/Arguments#/oneOf/5`

*   [Untitled object in Arguments](./arguments-oneof-5.md) – `https://amazonalexa.com/ask/2020/12/Arguments#/oneOf/5`

*   [Untitled object in GenericArgumentsDeclaration](./genericargumentsdeclaration-items.md "A generic argument in a declaration") – `https://amazonalexa.com/ask/2020/12/GenericArgumentsDeclaration#/items`

*   [Untitled object in GenericArgumentsDeclaration](./genericargumentsdeclaration-items.md "A generic argument in a declaration") – `https://amazonalexa.com/ask/2020/12/GenericArgumentsDeclaration#/items`

*   [Untitled object in TypeDeclaration](./typedeclaration-properties-properties-items.md) – `https://amazonalexa.com/ask/2020/12/TypeDeclaration#/properties/properties/items`

*   [Untitled object in TypeDeclaration](./typedeclaration-properties-properties-items.md) – `https://amazonalexa.com/ask/2020/12/TypeDeclaration#/properties/properties/items`

*   [argument-declaration](./argumentsdeclaration-argument-declaration.md "The representation of an argument declaration") – `https://amazonalexa.com/ask/2020/12/ArgumentsDeclaration#/items`

*   [argument-declaration](./argumentsdeclaration-argument-declaration.md "The representation of an argument declaration") – `https://amazonalexa.com/ask/2020/12/ArgumentsDeclaration#/items`

### Arrays

*   [Untitled array in ActionDeclaration](./actiondeclaration-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/ActionDeclaration#/properties/annotations`

*   [Untitled array in Arguments](./arguments-oneof-4.md) – `https://amazonalexa.com/ask/2020/12/Arguments#/oneOf/4`

*   [Untitled array in Arguments](./arguments-oneof-4.md) – `https://amazonalexa.com/ask/2020/12/Arguments#/oneOf/4`

*   [Untitled array in ArgumentsDeclaration](./argumentsdeclaration-argument-declaration-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/ArgumentsDeclaration#/items/properties/annotations`

*   [Untitled array in ArgumentsDeclaration](./argumentsdeclaration-argument-declaration-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/ArgumentsDeclaration#/items/properties/annotations`

*   [Untitled array in Call](./call-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/Call#/properties/annotations`

*   [Untitled array in Call](./call-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/Call#/properties/annotations`

*   [Untitled array in Condition](./condition-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/Condition#/properties/annotations`

*   [Untitled array in Dialog](./dialogdeclaration-properties-samples.md "The set of dialog samples") – `https://amazonalexa.com/ask/2020/12/DialogDeclaration#/properties/samples`

*   [Untitled array in Dialog](./dialogdeclaration-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/DialogDeclaration#/properties/annotations`

*   [Untitled array in EnumDeclaration](./enumdeclaration-properties-items.md "The names of items in the enum") – `https://amazonalexa.com/ask/2020/12/EnumDeclaration#/properties/items`

*   [Untitled array in EnumDeclaration](./enumdeclaration-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/EnumDeclaration#/properties/annotations`

*   [Untitled array in EnumItem](./enumitemdeclaration-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/EnumItemDeclaration#/properties/annotations`

*   [Untitled array in EnumItem](./enumitemdeclaration-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/EnumItemDeclaration#/properties/annotations`

*   [Untitled array in GenericArgumentsDeclaration](./genericargumentsdeclaration-items-properties-constraints.md) – `https://amazonalexa.com/ask/2020/12/GenericArgumentsDeclaration#/items/properties/constraints`

*   [Untitled array in GenericArgumentsDeclaration](./genericargumentsdeclaration-items-properties-constraints.md) – `https://amazonalexa.com/ask/2020/12/GenericArgumentsDeclaration#/items/properties/constraints`

*   [Untitled array in InteractionDeclaration](./interactiondeclaration-properties-expressions.md "Block of expressions for interaction") – `https://amazonalexa.com/ask/2020/12/InteractionDeclaration#/properties/expressions`

*   [Untitled array in InteractionDeclaration](./interactiondeclaration-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/InteractionDeclaration#/properties/annotations`

*   [Untitled array in Module](./module-properties-expressions.md) – `https://amazonalexa.com/ask/2020/12/Module#/properties/expressions`

*   [Untitled array in Sample](./sample-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/Sample#/properties/annotations`

*   [Untitled array in Sample](./sample-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/Sample#/properties/annotations`

*   [Untitled array in TypeDeclaration](./typedeclaration-properties-extensions.md "The set of types being extended") – `https://amazonalexa.com/ask/2020/12/TypeDeclaration#/properties/extensions`

*   [Untitled array in TypeDeclaration](./typedeclaration-properties-properties.md "The type's properties") – `https://amazonalexa.com/ask/2020/12/TypeDeclaration#/properties/properties`

*   [Untitled array in TypeDeclaration](./typedeclaration-properties-properties-items-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/TypeDeclaration#/properties/properties/items/properties/annotations`

*   [Untitled array in TypeDeclaration](./typedeclaration-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/TypeDeclaration#/properties/annotations`

*   [Untitled array in TypeDeclaration](./typedeclaration-properties-extensions.md "The set of types being extended") – `https://amazonalexa.com/ask/2020/12/TypeDeclaration#/properties/extensions`

*   [Untitled array in TypeDeclaration](./typedeclaration-properties-properties.md "The type's properties") – `https://amazonalexa.com/ask/2020/12/TypeDeclaration#/properties/properties`

*   [Untitled array in TypeDeclaration](./typedeclaration-properties-properties-items-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/TypeDeclaration#/properties/properties/items/properties/annotations`

*   [Untitled array in TypeDeclaration](./typedeclaration-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/TypeDeclaration#/properties/annotations`

*   [Untitled array in TypeReference](./typereference-properties-arguments.md) – `https://amazonalexa.com/ask/2020/12/TypeReference#/properties/arguments`

*   [Untitled array in TypeReference](./typereference-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/TypeReference#/properties/annotations`

*   [Untitled array in TypeReference](./typereference-properties-arguments.md) – `https://amazonalexa.com/ask/2020/12/TypeReference#/properties/arguments`

*   [Untitled array in TypeReference](./typereference-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/TypeReference#/properties/annotations`

*   [Untitled array in name](./namereference-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/NameReference#/properties/annotations`

*   [Untitled array in name](./namedeclaration-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/NameDeclaration#/properties/annotations`

*   [Untitled array in name](./interactionnamedeclaration-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/InteractionNameDeclaration#/properties/annotations`

*   [Untitled array in name](./interactionnamedeclaration-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/InteractionNameDeclaration#/properties/annotations`

*   [Untitled array in name](./qualifiednamedeclaration-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/QualifiedNameDeclaration#/properties/annotations`

*   [Untitled array in name](./namedeclaration-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/NameDeclaration#/properties/annotations`

*   [Untitled array in name](./namereference-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/NameReference#/properties/annotations`

*   [Untitled array in name](./qualifiednamedeclaration-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/QualifiedNameDeclaration#/properties/annotations`

*   [Untitled array in property reference](./propertyreference-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/PropertyReference#/properties/annotations`

*   [Untitled array in property reference](./propertyreference-properties-annotations.md) – `https://amazonalexa.com/ask/2020/12/PropertyReference#/properties/annotations`

*   [exports](./module-properties-exports.md "The declared names that are visible outside this module") – `https://amazonalexa.com/ask/2020/12/Module#/properties/exports`

## Version Note

The schemas linked above follow the JSON Schema Spec version: `http://json-schema.org/draft-07/schema#`
