# Correction Schema

```txt
https://amazonalexa.com/ask/2020/12/Correction
```

Represents a Correction.

| Abstract            | Extensible | Status         | Identifiable | Custom Properties | Additional Properties | Access Restrictions | Defined In                                                              |
| :------------------ | :--------- | :------------- | :----------- | :---------------- | :-------------------- | :------------------ | :---------------------------------------------------------------------- |
| Can be instantiated | No         | Unknown status | No           | Forbidden         | Forbidden             | none                | [Correction.json](../../schemas/Correction.json "open original schema") |

## Correction Type

`object` ([Correction](correction.md))

# Correction Properties

| Property              | Type          | Required | Nullable       | Defined by                                                                                                                          |
| :-------------------- | :------------ | :------- | :------------- | :---------------------------------------------------------------------------------------------------------------------------------- |
| [kind](#kind)         | Not specified | Required | cannot be null | [Correction](correction-properties-kind.md "https://amazonalexa.com/ask/2020/12/Correction#/properties/kind")                       |
| [actual](#actual)     | `array`       | Required | cannot be null | [Correction](correction-properties-correctionblock.md "https://amazonalexa.com/ask/2020/12/CorrectionBlock#/properties/actual")     |
| [expected](#expected) | `array`       | Required | cannot be null | [Correction](correction-properties-correctionblock-1.md "https://amazonalexa.com/ask/2020/12/CorrectionBlock#/properties/expected") |

## kind

The expression's identifier.

`kind`

*   is required

*   Type: unknown ([kind](correction-properties-kind.md))

*   cannot be null

*   defined in: [Correction](correction-properties-kind.md "https://amazonalexa.com/ask/2020/12/Correction#/properties/kind")

### kind Type

unknown ([kind](correction-properties-kind.md))

### kind Constraints

**constant**: the value of this property must be equal to:

```json
"Correction"
```

## actual

A block of expressions for the Correction expression.

`actual`

*   is required

*   Type: an array of merged types ([Details](correctionblock-items.md))

*   cannot be null

*   defined in: [Correction](correction-properties-correctionblock-1.md "https://amazonalexa.com/ask/2020/12/CorrectionBlock#/properties/actual")

### actual Type

an array of merged types ([Details](correctionblock-items.md))

## expected

A block of expressions for the Correction expression.

`expected`

*   is required

*   Type: an array of merged types ([Details](correctionblock-items.md))

*   cannot be null

*   defined in: [Correction](correction-properties-correctionblock-1.md "https://amazonalexa.com/ask/2020/12/CorrectionBlock#/properties/expected")

### expected Type

an array of merged types ([Details](correctionblock-items.md))
