# Sample Schema

```txt
https://amazonalexa.com/ask/2020/12/Sample#/properties/samples/items
```

Represents a sample.

| Abstract            | Extensible | Status         | Identifiable | Custom Properties | Additional Properties | Access Restrictions | Defined In                                                                              |
| :------------------ | :--------- | :------------- | :----------- | :---------------- | :-------------------- | :------------------ | :-------------------------------------------------------------------------------------- |
| Can be instantiated | No         | Unknown status | No           | Forbidden         | Forbidden             | none                | [DialogDeclaration.json\*](../../schemas/DialogDeclaration.json "open original schema") |

## items Type

`object` ([Sample](dialogdeclaration-properties-samples-sample.md))

# items Properties

| Property                    | Type          | Required | Nullable       | Defined by                                                                                                                   |
| :-------------------------- | :------------ | :------- | :------------- | :--------------------------------------------------------------------------------------------------------------------------- |
| [kind](#kind)               | Not specified | Required | cannot be null | [Sample](sample-properties-kind.md "https://amazonalexa.com/ask/2020/12/Sample#/properties/kind")                            |
| [expressions](#expressions) | `array`       | Required | cannot be null | [Sample](condition-properties-sampleblock-1.md "https://amazonalexa.com/ask/2020/12/SampleBlock#/properties/expressions")    |
| [type](#type)               | `object`      | Optional | cannot be null | [Sample](actiondeclaration-properties-typereference.md "https://amazonalexa.com/ask/2020/12/TypeReference#/properties/type") |
| [annotations](#annotations) | `array`       | Optional | cannot be null | [Sample](sample-properties-annotations.md "https://amazonalexa.com/ask/2020/12/Sample#/properties/annotations")              |

## kind

The expression's identifier.

`kind`

*   is required

*   Type: unknown ([kind](sample-properties-kind.md))

*   cannot be null

*   defined in: [Sample](sample-properties-kind.md "https://amazonalexa.com/ask/2020/12/Sample#/properties/kind")

### kind Type

unknown ([kind](sample-properties-kind.md))

### kind Constraints

**constant**: the value of this property must be equal to:

```json
"Sample"
```

## expressions

A block of expressions.

`expressions`

*   is required

*   Type: an array of merged types ([Details](sampleblock-items.md))

*   cannot be null

*   defined in: [Sample](condition-properties-sampleblock-1.md "https://amazonalexa.com/ask/2020/12/SampleBlock#/properties/expressions")

### expressions Type

an array of merged types ([Details](sampleblock-items.md))

## type

The representation of a reference to a type declaration.

`type`

*   is optional

*   Type: `object` ([TypeReference](actiondeclaration-properties-typereference.md))

*   cannot be null

*   defined in: [Sample](actiondeclaration-properties-typereference.md "https://amazonalexa.com/ask/2020/12/TypeReference#/properties/type")

### type Type

`object` ([TypeReference](actiondeclaration-properties-typereference.md))

## annotations



`annotations`

*   is optional

*   Type: `object[]` ([Call](actiondeclaration-properties-annotations-call.md))

*   cannot be null

*   defined in: [Sample](sample-properties-annotations.md "https://amazonalexa.com/ask/2020/12/Sample#/properties/annotations")

### annotations Type

`object[]` ([Call](actiondeclaration-properties-annotations-call.md))
