# EnumItem Schema

```txt
https://amazonalexa.com/ask/2020/12/EnumItemDeclaration#/properties/items/items
```

Represents an item in an enum type declaration.

| Abstract            | Extensible | Status         | Identifiable | Custom Properties | Additional Properties | Access Restrictions | Defined In                                                                          |
| :------------------ | :--------- | :------------- | :----------- | :---------------- | :-------------------- | :------------------ | :---------------------------------------------------------------------------------- |
| Can be instantiated | No         | Unknown status | No           | Forbidden         | Forbidden             | none                | [EnumDeclaration.json\*](../../schemas/EnumDeclaration.json "open original schema") |

## items Type

`object` ([EnumItem](enumdeclaration-properties-items-enumitem.md))

# items Properties

| Property                    | Type          | Required | Nullable       | Defined by                                                                                                                                  |
| :-------------------------- | :------------ | :------- | :------------- | :------------------------------------------------------------------------------------------------------------------------------------------ |
| [kind](#kind)               | Not specified | Required | cannot be null | [EnumItem](enumitemdeclaration-properties-kind.md "https://amazonalexa.com/ask/2020/12/EnumItemDeclaration#/properties/kind")               |
| [name](#name)               | `string`      | Required | cannot be null | [EnumItem](genericargumentsdeclaration-items-properties-name.md "https://amazonalexa.com/ask/2020/12/Name#/properties/name")                |
| [annotations](#annotations) | `array`       | Optional | cannot be null | [EnumItem](enumitemdeclaration-properties-annotations.md "https://amazonalexa.com/ask/2020/12/EnumItemDeclaration#/properties/annotations") |

## kind

The expression's identifier.

`kind`

*   is required

*   Type: unknown ([kind](enumitemdeclaration-properties-kind.md))

*   cannot be null

*   defined in: [EnumItem](enumitemdeclaration-properties-kind.md "https://amazonalexa.com/ask/2020/12/EnumItemDeclaration#/properties/kind")

### kind Type

unknown ([kind](enumitemdeclaration-properties-kind.md))

### kind Constraints

**constant**: the value of this property must be equal to:

```json
"EnumItemDeclaration"
```

## name

A name.

`name`

*   is required

*   Type: `string` ([Name](genericargumentsdeclaration-items-properties-name.md))

*   cannot be null

*   defined in: [EnumItem](genericargumentsdeclaration-items-properties-name.md "https://amazonalexa.com/ask/2020/12/Name#/properties/name")

### name Type

`string` ([Name](genericargumentsdeclaration-items-properties-name.md))

### name Constraints

**pattern**: the string must match the following regular expression:&#x20;

```regexp
^[a-zA-Z_][a-zA-Z0-9_]*$
```

[try pattern](https://regexr.com/?expression=%5E%5Ba-zA-Z_%5D%5Ba-zA-Z0-9_%5D*%24 "try regular expression with regexr.com")

### name Examples

```json
"foo"
```

```json
"bar"
```

```json
"person"
```

```json
"foo1"
```

## annotations



`annotations`

*   is optional

*   Type: `object[]` ([Call](actiondeclaration-properties-annotations-call.md))

*   cannot be null

*   defined in: [EnumItem](enumitemdeclaration-properties-annotations.md "https://amazonalexa.com/ask/2020/12/EnumItemDeclaration#/properties/annotations")

### annotations Type

`object[]` ([Call](actiondeclaration-properties-annotations-call.md))
