# name Schema

```txt
https://amazonalexa.com/ask/2020/12/QualifiedNameDeclaration#/properties/expressions/items/oneOf/4
```

Introduces a namespaced-qualified name for an expression.

| Abstract            | Extensible | Status         | Identifiable | Custom Properties | Additional Properties | Access Restrictions | Defined In                                                        |
| :------------------ | :--------- | :------------- | :----------- | :---------------- | :-------------------- | :------------------ | :---------------------------------------------------------------- |
| Can be instantiated | No         | Unknown status | No           | Forbidden         | Forbidden             | none                | [Module.json\*](../../schemas/Module.json "open original schema") |

## 4 Type

`object` ([name](module-properties-expressions-items-oneof-name.md))

# 4 Properties

| Property                    | Type          | Required | Nullable       | Defined by                                                                                                                                        |
| :-------------------------- | :------------ | :------- | :------------- | :------------------------------------------------------------------------------------------------------------------------------------------------ |
| [kind](#kind)               | Not specified | Required | cannot be null | [name](qualifiednamedeclaration-properties-kind.md "https://amazonalexa.com/ask/2020/12/QualifiedNameDeclaration#/properties/kind")               |
| [name](#name)               | `string`      | Required | cannot be null | [name](actiondeclaration-properties-qualifiedname.md "https://amazonalexa.com/ask/2020/12/QualifiedName#/properties/name")                        |
| [type](#type)               | `object`      | Optional | cannot be null | [name](actiondeclaration-properties-typereference.md "https://amazonalexa.com/ask/2020/12/TypeReference#/properties/type")                        |
| [expression](#expression)   | Merged        | Required | cannot be null | [name](qualifiednamedeclaration-properties-expression.md "https://amazonalexa.com/ask/2020/12/QualifiedNameDeclaration#/properties/expression")   |
| [annotations](#annotations) | `array`       | Optional | cannot be null | [name](qualifiednamedeclaration-properties-annotations.md "https://amazonalexa.com/ask/2020/12/QualifiedNameDeclaration#/properties/annotations") |

## kind

The expression's identifier.

`kind`

*   is required

*   Type: unknown ([kind](qualifiednamedeclaration-properties-kind.md))

*   cannot be null

*   defined in: [name](qualifiednamedeclaration-properties-kind.md "https://amazonalexa.com/ask/2020/12/QualifiedNameDeclaration#/properties/kind")

### kind Type

unknown ([kind](qualifiednamedeclaration-properties-kind.md))

### kind Constraints

**constant**: the value of this property must be equal to:

```json
"QualifiedNameDeclaration"
```

## name

A qualified name

`name`

*   is required

*   Type: `string` ([QualifiedName](actiondeclaration-properties-qualifiedname.md))

*   cannot be null

*   defined in: [name](actiondeclaration-properties-qualifiedname.md "https://amazonalexa.com/ask/2020/12/QualifiedName#/properties/name")

### name Type

`string` ([QualifiedName](actiondeclaration-properties-qualifiedname.md))

### name Constraints

**maximum length**: the maximum number of characters for this string is: `1024`

**pattern**: the string must match the following regular expression:&#x20;

```regexp
^[A-Za-z][A-Za-z0-9_]*(\.((_[A-Za-z0-9][A-Za-z0-9_]*)|([A-Za-z][A-Za-z0-9_]*)))*$
```

[try pattern](https://regexr.com/?expression=%5E%5BA-Za-z%5D%5BA-Za-z0-9_%5D*\(%5C.\(\(_%5BA-Za-z0-9%5D%5BA-Za-z0-9_%5D*\)%7C\(%5BA-Za-z%5D%5BA-Za-z0-9_%5D*\)\)\)*%24 "try regular expression with regexr.com")

### name Examples

```json
"com.amazon.alexa.schema.String"
```

```json
"foo"
```

## type

The representation of a reference to a type declaration.

`type`

*   is optional

*   Type: `object` ([TypeReference](actiondeclaration-properties-typereference.md))

*   cannot be null

*   defined in: [name](actiondeclaration-properties-typereference.md "https://amazonalexa.com/ask/2020/12/TypeReference#/properties/type")

### type Type

`object` ([TypeReference](actiondeclaration-properties-typereference.md))

## expression



`expression`

*   is required

*   Type: merged type ([Details](qualifiednamedeclaration-properties-expression.md))

*   cannot be null

*   defined in: [name](qualifiednamedeclaration-properties-expression.md "https://amazonalexa.com/ask/2020/12/QualifiedNameDeclaration#/properties/expression")

### expression Type

merged type ([Details](qualifiednamedeclaration-properties-expression.md))

one (and only one) of

*   [Call](actiondeclaration-properties-annotations-call.md "check type definition")

*   [name](arguments-definitions-arg-expression-oneof-name.md "check type definition")

*   [property reference](arguments-definitions-arg-expression-oneof-property-reference.md "check type definition")

## annotations



`annotations`

*   is optional

*   Type: `object[]` ([Call](actiondeclaration-properties-annotations-call.md))

*   cannot be null

*   defined in: [name](qualifiednamedeclaration-properties-annotations.md "https://amazonalexa.com/ask/2020/12/QualifiedNameDeclaration#/properties/annotations")

### annotations Type

`object[]` ([Call](actiondeclaration-properties-annotations-call.md))
