import { runtime, services } from 'ask-smapi-model';
import ApiClient = runtime.ApiClient;
import { SmapiClientBuilder } from './AbstractSmapiClientBuilder';
/**
 * StandardSmapiClientBuilder class use default ApiClient and default ApiEndpoint
 */
export declare class StandardSmapiClientBuilder extends SmapiClientBuilder {
    /**
     * Funtion used to generate SkillManagementService instance.
     */
    client(): services.skillManagement.SkillManagementServiceClient;
}
/**
 * CustomSmapiClientBuilder give user ability to configure ApiClient and ApiEndpoint
 */
export declare class CustomSmapiClientBuilder extends StandardSmapiClientBuilder {
    private apiClient;
    private apiEndpoint;
    private authEndpoint?;
    withApiEndpoint(apiEndpoint: string): CustomSmapiClientBuilder;
    withAuthEndpoint(authEndpoint: string): CustomSmapiClientBuilder;
    withApiClient(apiClient: ApiClient): CustomSmapiClientBuilder;
    /**
     * Function used to generate SkillManagementService instance.
     */
    client(): services.skillManagement.SkillManagementServiceClient;
}
