import { Project } from "./project";
export interface DecompileOptions {
    /**
     * Override the directory that the ASKIR JSON files are copied to after being converted to ACDL.
     */
    outDir?: string;
}
/**
 * Transforms source ASKIR JSON files into ACDL files.
 *
 * ACDL files are written directly alongside the original ASK JSON file.
 *
 * The original ASK JSON files are copied to the `build` directory configured in `package.json`.
 * @param project ACDL Project to decompile.
 * @param options optional options to customize the behavior of the decompile. Currently only outDir and if
 * specified will not delete source ASKIR
 */
export declare function decompileProject(project: Project, options?: DecompileOptions): Promise<string[]>;
/**
 * Gets the destination acdl file path by Rebuilding the askir source uri with two changes:
 *    1) if there is an oputDir, use that instead of the directory in the uri
 *    2) change .json extension to .acdl
 * @param uri
 * @param outDir
 * @returns the destination acdl file path
 */
export declare function getDecompiledOutFilePath(uri: string, outDir?: string): string;
//# sourceMappingURL=decompile.d.ts.map